package routers

import (
	"IC/controllers"
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/plugins/cors"
)

func init() {
	beego.InsertFilter("*", beego.BeforeRouter, cors.Allow(&cors.Options{
		//AllowAllOrigins:  true,
		AllowOrigins: []string{"https://xt.kuyicloud.com", "http://localhost:8081", "http://localhost:8082", "https://pad.kuyicloud.com", "http://pad.kuyicloud.com", "http://pad.test.sgjyun.com", "https://pad.test.sgjyun.com", "http://admin.xt.test.sgjyun.com", "http://admin.xt.kuyicloud.com", "http://mobile.sgjyun.com", "http://mobile.kuyicloud.com", "https://mobile.kuyicloud.com"},
		//AllowOrigins:     []string{"https://xt.kuyicloud.com", "http://localhost:9528", "http://xt.test.shengws.com","https://xt.test.shengws.com", "http://xt.test.sgjyun.com","https://xt.test.sgjyun.com", "http://localhost:8081", "http://localhost:8082", "https://pad.kuyicloud.com", "http://pad.kuyicloud.com", "http://pad.test.sgjyun.com","https://pad.test.sgjyun.com", "http://admin.xt.test.sgjyun.com", "http://admin.xt.kuyicloud.com","http://mobile.sgjyun.com","http://mobile.kuyicloud.com"},
		AllowMethods:     []string{"GET", "POST", "PUT", "DELETE", "OPTIONS"},
		AllowHeaders:     []string{"Origin", "Authorization", "Access-Control-Allow-Origin", "Access-Control-Allow-Headers", "Content-Type", "X-XSRF-TOKEN", "Permission", "KyToken"},
		ExposeHeaders:    []string{"Content-Length", "Access-Control-Allow-Origin", "Access-Control-Allow-Headers", "Content-Type"},
		AllowCredentials: true,
	}))
	beego.Router("/", &controllers.MainController{})
	//beego.Router("/api/lis/getlist", &controllers.LisController{}, "get:GetList")
	//beego.Router("/api/lis/synctobase", &controllers.LisController{}, "get:SyncToBase")
	//beego.Router("/api/lis/synfiled", &controllers.LisController{}, "get:FiledConfigSys")
	//beego.Router("/api/lis/syncadvice", &controllers.LisController{}, "get:SyncAdvice")
	//beego.Router("/api/lis/lgeysync", &controllers.LisController{}, "get:SyncLgth")
	//beego.Router("/api/lis/ystxsync", &controllers.LisController{}, "get:SyncYstx")
	//beego.Router("/api/lis/gzjhyzsync", &controllers.LisController{}, "get:SyncGzjhyz")
	//beego.Router("/api/lis/gzjhlissync", &controllers.LisController{}, "get:SyncGzjhLis")
	//beego.Router("/api/lis/hbdyyzsync", &controllers.LisController{}, "get:SyncHbJldyyz")
	//beego.Router("/api/lis/hbdylissync", &controllers.LisController{}, "get:SyncHbJldyLis")
	//beego.Router("/api/lis/tscylissync", &controllers.LisController{}, "get:SyncTscyLis")
	//beego.Router("/api/lis/fjtflissync", &controllers.LisController{}, "get:SyncFjtfLis")
	//beego.Router("/api/lis/csnylissync", &controllers.LisController{}, "get:SyncCsnyLis")
	//
	////百霖lis
	//beego.Router("/api/lis/bltest", &controllers.LisController{}, "get:SyncBlLis")
	//beego.Router("/api/lis/blresulttest", &controllers.LisController{}, "get:SyncBlResultLis")
	//beego.Router("/api/schedule", &controllers.LisController{}, "get:Schedule")
	//
	//beego.Router("/api/syncshLis", &controllers.LisController{}, "get:SyncShLis")
	//beego.Router("/api/syncszblis", &controllers.LisController{}, "get:SyncSzblLis")
	//beego.Router("/api/test", &controllers.LisController{}, "get:SyncTest")
	////beego.Router("/api/lis/gzjhxytx", &controllers.LisController{}, "get:SyncGzjhxytx")
	////beego.Router("/api/lis/scdckfyy", &controllers.LisController{}, "get:SyncSccdkfyyLis")
	////beego.Router("/api/lis/pajm", &controllers.LisController{}, "get:SyncPajmLis")
	//beego.Router("/api/lis/sssy", &controllers.LisController{}, "get:SyncSssy")
	//beego.Router("/api/lis/tscyvip", &controllers.LisController{}, "get:SyncTscyVipLis")
	//beego.Router("/api/lis/syncgzky", &controllers.LisController{}, "get:SyncGzky")
	//beego.Router("/api/lis/syncszwz", &controllers.LisController{}, "get:SyncSzwz")
	//beego.Router("/api/lis/syncpljx", &controllers.LisController{}, "get:SyncPljx")
	//beego.Router("/api/lis/syncbjnc", &controllers.LisController{}, "get:SyncBjncLis")
	//beego.Router("/api/lis/synczhra", &controllers.LisController{}, "get:SyncZhraLis")
	beego.Router("/api/lis/syncchyd", &controllers.LisController{}, "get:SyncChydLis")
	beego.Router("/test", &controllers.LisController{}, "get:Test")
}
